# 5ème réunion avec Julien Montavont
## L2S4 PRDS
## 10/04/2024

## Présent-es :
- Julien MONTAVONT
- Carine WAKIM
- Maxime ZINGRAFF

## Cadre
Salle de réunion équipe Réseaux (Icube), de 10h40 à 11h30

## Ordre du jour prévisionnel :

| Sujet                                                                                    | Durée    |
| ---------------------------------------------------------------------------------------- | -------- |
| Retour sur la présentation d'avancement du 10/04 | 15 min |
| Point sur la structure du rapport | 10 min |
| Echange sur la sécurité *(apports sécuritaires des NAT et failles de sécurité posées par le contournement)* | 7 min |
| Avancement documentaire & bibliographique | 10 min |
| Prochain rendez-vous | 1 min |

Cet ordre du jour avait été mis sur le Git il y a 10 jours mais aucun mail n'avait été envoyé à Julien MONTAVONT, il nous rappelle de lui en envoyer un la prochaine fois.

## Retour sur la présentation d'avancement du 10/04

De manière générale, Julien MONTAVONT nous indique que notre présentation était trop dense et trop compliquée à comprendre.
Il n'était pas judicieux de parler de ICE et de UPnP dans la même présentation : cela sacrifiait les deux, et tout était flou.
Concernant ICE, il aurait été judicieux de rappeler le contenu de la dernière présentation, en particulier le fonctionnement du Relaying et du Hole Punching.

A propos d'UPnP, il aurait été plus judicieux de le rendre plus concret avec les protocoles mis en jeux et surtout en se focalisant sur le cas général.

Sur ICE PAC, on n'explicite à aucun moment la signification de l'acronyme PAC (à part en petit sur une slide), donc mieux vaut éviter d'en parler.
A propos de la clarté du schéma, la transition entre la table NAT et la table des candidats n'est pas claire : on a l'impression que c'est une nouvelle table NAT. Elle a beau être grisée, ce n'est pas explicite. Il faut surtout expliquer que cette table est locale.
Sinon, on aurait pu ajouter la colonne de Adresse:port de B dès la 1ère apparition de la table des candidats et laisser cette colonne vide plutôt que de la faire apparaître.

Surtout, on se focalise sur trop de points de détails comme le classement des candidats : éviter. Même le protocole ICE dans son ensemble est peu intéressant et ne nécessiterait que 3 slides qui présentent les avantages de ICE : mieux vaut se focaliser sur STUN et TURN en tant que tels.

Il faudrait voir le ressenti de nos camarades, mais Julien MONTAVONT indique qu'il y ait peu de chance que tout le monde ai compris cette présentation. Nous sommes, en conclusion, tous les trois d'accord pour dire que la présentation n'était pas claire sans mise en contexte.

Nous réexpliquons à Julien MONTAVONT les autres points flous de notre présentation.


## Point sur la structure du rapport

Julien MONTAVONT estime que, pour le rapport, il vaut mieux faire comme pour les présentations, c'est à dire partir de la philosophie de contournement et ensuite évoquer la déclinaison protocolaire.
De même pour UPnP et PCP, il faut évoquer ces protocoles avec leur contexte : UPnP n'a pas été créé pour le réseau et les NAT mais est le plus utilisé, alors que PCP est dédié à cela mais encore peu utilisé dans les applications grand public. (Carine WAKIM)
Encore une fois, pour ICE, mieux vaut se focaliser sur STUN et TURN, et sur les apports de ICE : établissements de listes de candidats, classements des paires et attribution d'une paire valide par flux de données.


## Echange sur la sécurité *(apports sécuritaires des NAT et failles de sécurité posées par le contournement)*

Il est prévu que nous abordions ce point lors de notre prochaine présentation d'avancement. Néanmoins, Carine WAKIM indique que nous l'avons déjà plus ou moins distillé dans nos précédentes présentations, en particulier en répondant à des questions sur le sujet.
Un NAT est bien différent d'un pare-feu, Julien MONTAVONT nous indique donc de nous focaliser sur les apports du pare-feu par rapport à un NAT et surtout sur les problèmes de sécurité inhérents aux NAT. Les problèmes liés aux protocoles de contournements (type "Man in the Middle") sont des problèmes "classiques", il n'est pas nécessaire d'en parler.

## Avancement documentaire & bibliographique

Julien MONTAVONT nous propose d'avoir une soutenance blanche ainsi que de relire notre rapport.
Nous fixons dès à présent la soutenance blanche au 07/05/2024, à 16h dans son bureau campus Esplanade.
La date limite pour le rendu du rapport est fixée au 12/05/2024.

## Prochain rendez-vous

La prochaine réunion est fixée le 23/04/2024, de 11h à 12h en visioconférence.